import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './style/public.less'
import './utils/rem.js'
import scroll from 'vue-seamless-scroll'
import '../src/assets/css/font.css'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import echarts from 'echarts'

import moment from 'moment'
Vue.use(scroll)
Vue.use(ElementUI)
Vue.prototype.$echarts = echarts
// 中文简体
moment.locale('zh-cn')
Vue.filter('dateformat', (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') => {
  return moment(dataStr).format(pattern)
})
Vue.prototype.$moment = moment

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
